# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {Synth 8-256} -limit 10000
set_msg_config -id {Synth 8-638} -limit 10000
create_project -in_memory -part xc7z020clg484-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.cache/wt [current_project]
set_property parent.project_path C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property board_part em.avnet.com:zed:part0:1.2 [current_project]
set_property ip_repo_paths c:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces [current_project]
set_property ip_cache_permissions disable [current_project]
read_vhdl -library xil_defaultlib {
  C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.srcs/sources_1/imports/these_05_06_2016/datapath.vhd
  C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.srcs/sources_1/imports/these_05_06_2016/decode_bap.vhd
  C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.srcs/sources_1/imports/these_05_06_2016/decode_i_sync.vhd
  C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.srcs/sources_1/imports/these_05_06_2016/pft_decoder_v2.vhd
  C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.srcs/sources_1/imports/these_05_06_2016/decodeur_traces.vhd
}
# Mark all dcp files as not used in implementation to prevent them from being
# stitched into the results of this synthesis run. Any black boxes in the
# design are intentionally left as such for best results. Dcp files will be
# stitched into the design at a later time, either when this synthesis run is
# opened, or when it is stitched into a dependent implementation run.
foreach dcp [get_files -quiet -all -filter file_type=="Design\ Checkpoint"] {
  set_property used_in_implementation false $dcp
}
read_xdc C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.srcs/constrs_1/new/contraintes.xdc
set_property used_in_implementation false [get_files C:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces/decodeur_traces.srcs/constrs_1/new/contraintes.xdc]


synth_design -top decodeur_traces -part xc7z020clg484-1 -flatten_hierarchy none -resource_sharing off


write_checkpoint -force -noxdef decodeur_traces.dcp

catch { report_utilization -file decodeur_traces_utilization_synth.rpt -pb decodeur_traces_utilization_synth.pb }
